unit sutilsTestCases;
interface
uses
 TestFrameWork;

type
 TTestCaseFirst = class(TTestCase)
 published
    procedure TestStrAfterToken;
    procedure TestStrBeforeToken;
 end;

implementation

uses
  sutils;

procedure TTestCaseFirst.TestStrBeforeToken;
begin
 CheckEquals('name', StrBeforeToken('=', 'name=value'));
end;

procedure TTestCaseFirst.TestStrAfterToken;
begin
 CheckEquals('value', StrAfterToken('=', 'name=value'));
end;

initialization
 TestFramework.RegisterTest(TTestCaseFirst.Suite);
end.
